CP1251

var version = java.lang.System.getProperty("java.version");
if (version.startsWith("1.8.0")) {
    load("nashorn:mozilla_compat.js");
}

importClass(javax.swing.JMenu);
importClass(javax.swing.JMenuItem);
importPackage(org.apache.log4j);
logger = LogManager.getLogger('Logger');

str1 = "~js:{ var version = java.lang.System.getProperty('java.version'); if (version.startsWith('1.8.0')) { load('nashorn:mozilla_compat.js');  } \
 importPackage(java.awt); \
 importClass(java.net.URI); \
 desktop = Desktop.getDesktop(); \
 uri = new URI('http://37.235.69.78:10080/public/help/";

str2 = " desktop.browse(uri); ret = ''; }~";

m1 = new JMenu('Руководство');

i1 = new JMenuItem('Перемещения'); i1.setActionCommand(str1 + "help_analiz_potr_move.html');" + str2); m1.add(i1);

SELF.addMenu(m1);

SELF.initDocumentMenu();

